### Hierarchy

- EventTarget
  - RTCIceTransport

## Index

### Properties

- EventTarget
- component
- gatheringState
- ongatheringstatechange
- onselectedcandidatepairchange
- onstatechange
- role
- state

### Methods

- addEventListener
- dispatchEvent
- getLocalCandidates
- getLocalParameters
- getRemoteCandidates
- getRemoteParameters
- getSelectedCandidatePair
- removeEventListener

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### component

component: RTCIceComponent

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11534

### gatheringState

gatheringState: RTCIceGathererState

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11535

### ongatheringstatechange

ongatheringstatechange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11536

### onselectedcandidatepairchange

onselectedcandidatepairchange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11537

### onstatechange

onstatechange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11538

### role

role: RTCIceRole

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11539

### state

state: RTCIceTransportState

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11540

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11546

  #### Type parameters

  - #### K: keyof RTCIceTransportEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: RTCIceTransport, ev: RTCIceTransportEventMap[K]): any

      - #### Parameters

        - ##### this: RTCIceTransport

        - ##### ev: RTCIceTransportEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11547

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### getLocalCandidates

- getLocalCandidates(): RTCIceCandidate[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11541

  #### Returns RTCIceCandidate[]

### getLocalParameters

- getLocalParameters(): RTCIceParameters | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11542

  #### Returns RTCIceParameters | null

### getRemoteCandidates

- getRemoteCandidates(): RTCIceCandidate[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11543

  #### Returns RTCIceCandidate[]

### getRemoteParameters

- getRemoteParameters(): RTCIceParameters | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11544

  #### Returns RTCIceParameters | null

### getSelectedCandidatePair

- getSelectedCandidatePair(): RTCIceCandidatePair | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11545

  #### Returns RTCIceCandidatePair | null

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11548

  #### Type parameters

  - #### K: keyof RTCIceTransportEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: RTCIceTransport, ev: RTCIceTransportEventMap[K]): any

      - #### Parameters

        - ##### this: RTCIceTransport

        - ##### ev: RTCIceTransportEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11549

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc